{
	"name": "form/nc/blog/blog.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "blog"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/4"
						},
						"element": [
							{
								"component": "nc-header",
								"text": "Blog",
								"attribute": {
									"model": "hdr.blog.blog",
									"size": "medium"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-end-h"],
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									"style": "margin-right: 0px",
									"v-on:click": "update('grid')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "search"
										}
									},
									{
										"component": "nc-translate",
										"text": "Update",
										"attribute": {
											"model": "hdr.blog.update"
										}
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"height": "calc(100vh - 12em)"
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-align-top"],
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-html-editor",
								"attribute": {
									"id": "blog",
									":value": "rec.content",
									"height": "calc(100vh - 12em)"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-align-top"],
							"width": "25em"
						},
						"element": [
							{
								"component": "nc-row",
								"attribute": {
									"v-for": "(item, idx) in grid.article_blog.data",
									"width": "25em"
								},
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "auto"
										},
										"element": [
											{
												"component": "nc-span",
												"text": "{{ idx + 1 }}. {{ item.title_id }}",
												"attribute": {
													"class": ["nc-blog-title"],
													"v-on:click": "gridRowClicked(idx)"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"class": ["nc-end-h"],
											"width": "7em"
										},
										"element": [
											{
												"component": "nc-span",
												"text": "{{ item.actual_publish_time.substring(0, 10) }}",
												"attribute": {
													"class": ["nc-blog-date"],
													"v-if": "item.actual_publish_time",
													"v-on:click": "gridRowClicked(idx)"
												}
											}
										]
									},
									{
										"component": "nc-row",
										"attribute": {
											"v-if": "item.json_data && item.json_data"
										},
										"element": [
											{
												"component": "nc-span",
												"text": "{{ item.json_data.summary }}",
												"attribute": {
													"class": ["nc-blog-summary"],
													"v-on:click": "gridRowClicked(idx)"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
